RecipeCodeOnCreate = RecipeCodeOnCreate or {}

function RecipeCodeOnCreate.UseUpgradeStrengthSerum1(craftRecipeData, character)
	--print("Client----------RecipeCodeOnCreate.UseUpgradeStrengthSerum1= ")
    local playerXP = character:getXp():getXP(Perks.Strength)
	local perkLevel = character:getPerkLevel(Perks.Strength) + 1
	if perkLevel > 10 then
		perkLevel = 10
	end
	local totalXP = Perks.Strength:getTotalXpForLevel(perkLevel)
	local amount =  totalXP - playerXP;
	--sendAddXp(character, Perks.Strength, amount, true)
	addXp(character, Perks.Strength, amount)
end

function RecipeCodeOnCreate.UseUpgradeFitnessSerum1(craftRecipeData, character)
	--print("Client----------RecipeCodeOnCreate.UseUpgradeFitnessSerum1= ")
    local playerXP = character:getXp():getXP(Perks.Fitness)
	local perkLevel = character:getPerkLevel(Perks.Fitness) + 1
	if perkLevel > 10 then
		perkLevel = 10
	end
	local totalXP = Perks.Fitness:getTotalXpForLevel(perkLevel)
	local amount =  totalXP - playerXP;
	--sendAddXp(character, Perks.Fitness, amount, true)
	addXp(character, Perks.Fitness, amount)
end